Gecode::ArrayTraits< BoolVarArray > Class Reference

Traits of BoolVarArray. More...

`#include <array-traits.hpp>`

## Public Types

typedef BoolVarArray | StorageType
typedef BoolVar | ValueType
typedef BoolVarArgs | ArgsType

## Detailed Description

Traits of BoolVarArray.

Definition at line 125 of file array-traits.hpp.

## Member Typedef Documentation

## StorageType

typedef BoolVarArray Gecode::ArrayTraits< BoolVarArray >::StorageType

Definition at line 127 of file array-traits.hpp.

## ValueType

typedef BoolVar Gecode::ArrayTraits< BoolVarArray >::ValueType

Definition at line 128 of file array-traits.hpp.

## ArgsType

typedef BoolVarArgs Gecode::ArrayTraits< BoolVarArray >::ArgsType

Definition at line 129 of file array-traits.hpp.

The documentation for this class was generated from the following file:

- gecode/int/array-traits.hpp